Package com.sap.ai.sdk.grounding.model

# Class CollectionDeletedResponse

java.lang.Object
com.sap.ai.sdk.grounding.model.CollectionDeletedResponse

All Implemented Interfaces:
  `VectorV1VectorEndpointsGetCollectionDeletionStatus200Response`

public class CollectionDeletedResponse extends Object implements VectorV1VectorEndpointsGetCollectionDeletionStatus200Response
CollectionDeletedResponse

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `CollectionDeletedResponse.Builder`
  Builder helper class.
  `static interface`
  `CollectionDeletedResponse.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CollectionDeletedResponse()`
  Default constructor for CollectionDeletedResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CollectionDeletedResponse`
  `collectionURL(String collectionURL)`
  Set the collectionURL of this `CollectionDeletedResponse` instance and return the same instance.
  `static CollectionDeletedResponse.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `CollectionDeletedResponse` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `String`
  `getCollectionURL()`
  Get collectionURL
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `CollectionDeletedResponse`.
  `String`
  `getStatus()`
  Get status
  `int`
  `hashCode()`
  `void`
  `setCollectionURL(String collectionURL)`
  Set the collectionURL of this `CollectionDeletedResponse` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `CollectionDeletedResponse` instance.
  `void`
  `setStatus(String status)`
  Set the status of this `CollectionDeletedResponse` instance.
  `CollectionDeletedResponse`
  `status(String status)`
  Set the status of this `CollectionDeletedResponse` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `CollectionDeletedResponse` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CollectionDeletedResponse

    protected CollectionDeletedResponse()
    Default constructor for CollectionDeletedResponse.

- ## Method Details

  - ### collectionURL

    @Nonnull public CollectionDeletedResponse collectionURL(@Nonnull String collectionURL)
    Set the collectionURL of this `CollectionDeletedResponse` instance and return the same instance.
    Parameters:
      `collectionURL` - The collectionURL of this `CollectionDeletedResponse`
    Returns:
      The same instance of this `CollectionDeletedResponse` class

  - ### getCollectionURL

    @Nonnull public String getCollectionURL()
    Get collectionURL
    Returns:
      collectionURL The collectionURL of this `CollectionDeletedResponse` instance.

  - ### setCollectionURL

    public void setCollectionURL(@Nonnull String collectionURL)
    Set the collectionURL of this `CollectionDeletedResponse` instance.
    Parameters:
      `collectionURL` - The collectionURL of this `CollectionDeletedResponse`

  - ### status

    @Nonnull public CollectionDeletedResponse status(@Nonnull String status)
    Set the status of this `CollectionDeletedResponse` instance and return the same instance.
    Parameters:
      `status` - The status of this `CollectionDeletedResponse`
    Returns:
      The same instance of this `CollectionDeletedResponse` class

  - ### getStatus

    @Nonnull public String getStatus()
    Get status
    Returns:
      status The status of this `CollectionDeletedResponse` instance.

  - ### setStatus

    public void setStatus(@Nonnull String status)
    Set the status of this `CollectionDeletedResponse` instance.
    Parameters:
      `status` - The status of this `CollectionDeletedResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `CollectionDeletedResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `CollectionDeletedResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `CollectionDeletedResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `CollectionDeletedResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static CollectionDeletedResponse.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `CollectionDeletedResponse` instance with all required arguments.